All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.entities
Interface BaseEntityInterface

All Superinterfaces:
  BaseEntityValueInterface

All Known Implementing Classes:
  ActionList, ActionSupportFilter, AddFolderAction, AddFolderCommand, AddFolderCommand, AddRowAction, AddRowCommand, AdvancedFilterSelectorCommand, AdvancedFilterSelectorCommandFacade, BaseAction, BaseCommand, BaseEditCommand, BaseEntity, com.sas.commands.olap.BaseOLAPCommand, BaseOLAPExportCommand, BaseRelationalExportCommand, BaseScrollCommand, BaseSelectorCommand, com.sas.commands.olap.BaseTupleElementCommand, CancelCommand, CancelRowInsertCommand, ClearCommand, ClearSortCommand, com.sas.commands.olap.CollapseCommand, CommitCommand, CommitInsertedRowCommand, CompositeDynamicAttributeCommand, CopyAction, CopyCommand, CopyCommand, CutAction, CutCommand, CutCommand, DataItemSelectorCommand, DeleteAction, DeleteCommand, DeleteCommand, DeleteCommand, DeleteRowAction, DeleteRowCommand, DetailsAction, DisplaySearchResultsCommand, DisplaySearchResultsCommand, com.sas.commands.olap.DrillDownCommand, com.sas.commands.olap.DrillUpCommand, Entity, ExceptionHighlightingChartCommand, ExceptionHighlightingCommand, com.sas.commands.olap.ExpandCommand, ExportSelectorCommand, ExportToCSVCommand, ExportToExcelCommand, ExportToExcelXMLCommand, ExportToHTMLCommand, ExportToTabSeparatedCommand, FilterAndRankSelectorCommand, FilterTypeCommand, FindAction, FindCommand, FindSelectorCommand, FormatSelectorCommand, GoBackAction, GoBackCommand, GotoColumnCommand, GotoRowCommand, HideColumnCommand, HoldColumnCommand, HoldRowCommand, HttpAction, HttpSearchCommand, InsertCommand, InsertRowCommand, ListAction, MapBaseCommand, MapClearSelectionsCommand, MapCollapseCommand, MapDrillDownCommand, MapDrillUpCommand, MapExpandCommand, MapExportToExcelCommand, MapFilterSelectionsCommand, MapFullExtentsCommand, MapIdentifyCommand, MapPanCommand, MapPropertyCommand, MapRectangularSelectCommand, MapReportLinkingCommand, MapResizeCommand, MapSelectCommand, MapSetMeasureCommand, MapZoomInCommand, MapZoomOutCommand, MemberPropertiesCommand, MoveColumnAction, MoveColumnCommand, OLAPExportToCSVCommand, OLAPExportToExcelXMLCommand, OLAPExportToHTMLCommand, OLAPExportToTabSeparatedCommand, OLAPSortSelectorCommand, OLAPTimeBasedFilterCommand, OpenFolderAction, OpenFolderCommand, OpenFolderCommand, PasteAction, PasteCommand, PasteCommand, PasteCommand, PercentCalculationsCommand, RankingCommand, ReleaseAllColumnsCommand, ReleaseAllRowsCommand, ReleaseColumnCommand, ReleaseRowCommand, RenameAction, RenameCommand, RenameCommand, com.sas.actionprovider.support.graphics.ResizeCommand, ScrollFirstColumnCommand, ScrollFirstRowCommand, ScrollLastColumnCommand, ScrollLastRowCommand, ScrollNextColumnCommand, ScrollNextColumnPageCommand, ScrollNextRowCommand, ScrollNextRowPageCommand, ScrollPreviousColumnCommand, ScrollPreviousColumnPageCommand, ScrollPreviousRowCommand, ScrollPreviousRowPageCommand, SelectorAction, SelectorAction, ShowAllColumnsCommand, ShowColumnCommand, ShowColumnHeaderCommand, ShowDetailSelectorCommand, ShowRowHeaderCommand, SimpleCalculatedItemSelectorCommand, SortAction, SortCommand, SortCommand, SortFoldersFirstCommand, SortFoldersFirstCommand, SortSelectorCommand, StartSearchAction, StartSearchCommand, SwingAction, TableViewAction, TableViewActionSupportFilter, TotalsCommand, TreeAction, UpdateCommand, UpOneLevelAction, UpOneLevelCommand, ViewMenuAction, ViewSelectionAction

    public interface BaseEntityInterface

extends BaseEntityValueInterface

BaseEntityInterface represents a local (non-remote)Entity. It extends the functionality of BaseEntityValueInterface by providing methods for bulk access of attributes, removing attributes, as well as obtaining a list of attribute names associated with the Entity.

See Also:
  `RemoteBaseEntityInterface`

Method Summary
`abstract boolean` | `containsAttributeNamed(java.lang.String name)` Test if the Entity contains an attribute of a specified name.
`abstract java.lang.Object` | `getAttribute(java.lang.String attributeName, java.lang.Object defaultValue)` Get a value of an attribute from the Entity or return a default value if it does not exist.
`abstract java.util.Map` | `getAttributes(java.util.Map query)` Perform a bulk value get on the Entity.
`abstract java.lang.String` | `getStringAttribute(java.lang.String attributeName, java.lang.String defaultValue)` Get a string value of an attribute from the Entity.
`abstract java.lang.String[]` | `listAttributeNames()` Return an array of the attribute names on the Entity.
`abstract void` | `removeAllAttributes()` Remove all attributes from the Entity.
`abstract void` | `removeAttribute(java.lang.String attributeName)` Remove an attribute from the Entity if the attribute is an instance-based attribute.
`abstract void` | `setAttributes(java.util.Map update)` Perform a bulk attribute set on the Entity.

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Method Detail

### setAttributes

    void setAttributes(java.util.Map update)
                       throws AttributeSetException

  Perform a bulk attribute set on the Entity. This sets each attribute named in the update map.

  Parameters:
    `update` - a set of name/value pairs to assign to the attributes of the Entity
  Throws:
    `AttributeSetException` - if the AttributeType of a parameter is not compatible with a previous setting of the attribute OR an attribute has been designated as non-modifiable
  See Also:
    `getAttributes(Map query)`

### getAttributes

    java.util.Map getAttributes(java.util.Map query)

  Perform a bulk value get on the Entity. This gets each attribute named in the query map.

  Parameters:
    `query` - a set of name/value pairs. This object is updated if the operation is performed locally.
  Returns:
    a map with names from the query and the values taken from the Entity
  See Also:
    `setAttributes(Map update)`

### containsAttributeNamed

    boolean containsAttributeNamed(java.lang.String name)

  Test if the Entity contains an attribute of a specified name.

  Parameters:
    `name` - the attribute name to test
  Returns:
    true if this entity contains an attribute named name

### removeAttribute

    void removeAttribute(java.lang.String attributeName)

  Remove an attribute from the Entity if the attribute is an instance-based attribute. You cannot remove type-based attributes from entities. After removing an instance-based attribute, `containsAttributeNamed(String)` will return false and `BaseEntityValueInterface.getAttribute(String)` will throw a `NoSuchElementException`

  Parameters:
    `attributeName` - the name of the attribute

### removeAllAttributes

    void removeAllAttributes()

  Remove all attributes from the Entity.

### getStringAttribute

    java.lang.String getStringAttribute(java.lang.String attributeName,
                                        java.lang.String defaultValue)

  Get a string value of an attribute from the Entity. This method is an alias for `BaseEntityValueInterface.getAttribute(String)`.

  Parameters:
    `attributeName` - the name of the value
    `defaultValue` - a default value to return if the named attribute, attributeName does not exist in the Entity
  Returns:
    the object associated with the attributeName, or the defaultValue if the Entity does not contain an element for the specified attributeName.
  Throws:
    `java.lang.ClassCastException` - if the attribute value named by the attributeName is not a String value

### getAttribute

    java.lang.Object getAttribute(java.lang.String attributeName,
                                  java.lang.Object defaultValue)

  Get a value of an attribute from the Entity or return a default value if it does not exist.

  Parameters:
    `attributeName` - the name of the value
    `defaultValue` - a default value to return if the named attribute, attributeName does not exist in the Entity
  Returns:
    the object associated with the attributeName, or the defaultValue if the Entity does not contain an element for the specified attributeName

### listAttributeNames

    java.lang.String[] listAttributeNames()

  Return an array of the attribute names on the Entity.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.